Bug 608460 - [abrt] crash in wicd-gtk-1.7.0-1.fc13: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.47 was not provided by any .service files
[abrt] crash in wicd-gtk-1.7.0-1.fc13: connection.py:630:call_blocking:DBusEx...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:08997608
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 12:39 EDT by Peter Trenholme
Modified: 2010-07-13 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 21:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1001 bytes, text/plain)
2010-06-27 12:39 EDT, Peter Trenholme
no flags Details

  None (edit)
Description Peter Trenholme 2010-06-27 12:39:55 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
component: wicd
executable: /usr/share/wicd/gtk/wicd-client.py
kernel: 2.6.33.5-124.fc13.x86_64
package: wicd-gtk-1.7.0-1.fc13
reason: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.47 was not provided by any .service files
release: Fedora release 13 (Goddard)

backtrace
-----
connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.47 was not provided by any .service files

Traceback (most recent call last):
  File "/usr/share/wicd/gtk/gui.py", line 376, in update_statusbar
    daemon.UpdateState()
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.47 was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0xe262f0>
args: ()
utf8_strings: False
bus_name: dbus.UTF8String(':1.47')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: '/org/wicd/daemon'
timeout: -1.0
signature: ''
dbus_interface: 'org.wicd.daemon'
message: <dbus.lowlevel.MethodCallMessage object at 0xc03fc0>
method: 'UpdateState'

comment
-----
I have the wicd service set to start during boot, and this error has poped up a couple of times, but only about after about 10 reboots. Then I have no problem for the next 10 (or so - I haven't really counted) reboots. After the error, both "sudo wicd" and/or "sudo /etc/init.d/wicd start" work O.K.

The bus string (':1.47') looks strange.

How to reproduce
-----
1.Not sure - See comment
2.
3.
Comment 1 Peter Trenholme 2010-06-27 12:39:58 EDT
Created attachment 427231 [details]
File: backtrace
Comment 2 David Cantrell 2010-07-12 21:12:58 EDT
I have been unable to reproduce this on F-13.  If you can trigger it again and have more details on how to reproduce it, feel free to reopen it.
Comment 3 Peter Trenholme 2010-07-13 12:59:24 EDT
I'd forgotten about this one because it stopped happening to me. There have been several Python updates since that bug appeared, so (perhaps) the bug was smashed by one of those.

Anyhow, CLOSED seems a good choice for now.

Note You need to log in before you can comment on or make changes to this bug.